<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en-US">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.5"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>DayZExpansion: VectorHelper Class Reference</title>
<link href="../../tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../jquery.js"></script>
<script type="text/javascript" src="../../dynsections.js"></script>
<link href="../../navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../resize.js"></script>
<script type="text/javascript" src="../../navtreedata.js"></script>
<script type="text/javascript" src="../../navtree.js"></script>
<link href="../../search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../search/searchdata.js"></script>
<script type="text/javascript" src="../../search/search.js"></script>
<link href="../../doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectlogo"><img alt="Logo" src="../../doxygen_light.png"/></td>
  <td id="projectalign">
   <div id="projectname">DayZExpansion<span id="projectnumber">&#160;1.7.17</span>
   </div>
   <div id="projectbrief">DayZExpansion Script Documentation Courtecy of P4K1TZ</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.5 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
var searchBox = new SearchBox("searchBox", "../../search/",'.html');
/* @license-end */
</script>
<script type="text/javascript" src="../../menudata.js"></script>
<script type="text/javascript" src="../../menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('../../',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */
</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(document).ready(function(){initNavTree('d4/d61/a04406.html','../../'); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<div id="MSearchResults">
<div class="SRPage">
<div id="SRIndex">
<div id="SRResults"></div>
<div class="SRStatus" id="Loading">Loading...</div>
<div class="SRStatus" id="Searching">Searching...</div>
<div class="SRStatus" id="NoMatches">No Matches</div>
</div>
</div>
</div>
</div>

<div class="header">
  <div class="summary">
<a href="#pri-static-methods">Static Private Member Functions</a>  </div>
  <div class="headertitle"><div class="title">VectorHelper Class Reference</div></div>
</div><!--header-->
<div class="contents">
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="pri-static-methods" name="pri-static-methods"></a>
Static Private Member Functions</h2></td></tr>
<tr class="memitem:ac536755b3c001ab8d193fb3f8b52e710"><td class="memItemLeft" align="right" valign="top">static vector&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d4/d61/a04406.html#ac536755b3c001ab8d193fb3f8b52e710">Rotate</a> (<a class="el" href="../../d5/d22/a04394.html">Matrix3</a> a, vector o)</td></tr>
<tr class="separator:ac536755b3c001ab8d193fb3f8b52e710"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa2bc2ffbd1f8a7c25b6d589061d9089d"><td class="memItemLeft" align="right" valign="top">static vector&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d4/d61/a04406.html#aa2bc2ffbd1f8a7c25b6d589061d9089d">Multiply</a> (vector data, vector other)</td></tr>
<tr class="separator:aa2bc2ffbd1f8a7c25b6d589061d9089d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a829b54bf426d152255d829ce1bc26174"><td class="memItemLeft" align="right" valign="top">static vector&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d4/d61/a04406.html#a829b54bf426d152255d829ce1bc26174">Multiply</a> (vector data, float other)</td></tr>
<tr class="separator:a829b54bf426d152255d829ce1bc26174"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a76ae4f4d027478149b2c5e1aa317d39f"><td class="memItemLeft" align="right" valign="top">static vector&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d4/d61/a04406.html#a76ae4f4d027478149b2c5e1aa317d39f">Multiply</a> (vector data, <a class="el" href="../../d5/d22/a04394.html">Matrix3</a> other)</td></tr>
<tr class="separator:a76ae4f4d027478149b2c5e1aa317d39f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:afac8dfb5cf1292fa05145ba3325b9a2b"><td class="memItemLeft" align="right" valign="top">static vector&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d4/d61/a04406.html#afac8dfb5cf1292fa05145ba3325b9a2b">Multiply</a> (vector data, <a class="el" href="../../d1/db3/a04402.html">Transform</a> other)</td></tr>
<tr class="separator:afac8dfb5cf1292fa05145ba3325b9a2b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a7048cb3c3e09c7a681d7a374d7041e7a"><td class="memItemLeft" align="right" valign="top">static vector&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d4/d61/a04406.html#a7048cb3c3e09c7a681d7a374d7041e7a">InvMultiply</a> (vector data, <a class="el" href="../../d5/d22/a04394.html">Matrix3</a> other)</td></tr>
<tr class="separator:a7048cb3c3e09c7a681d7a374d7041e7a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a01a46691dd29341f0811c85f649449d4"><td class="memItemLeft" align="right" valign="top">static vector&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d4/d61/a04406.html#a01a46691dd29341f0811c85f649449d4">InvMultiply</a> (vector data, <a class="el" href="../../d1/db3/a04402.html">Transform</a> other)</td></tr>
<tr class="separator:a01a46691dd29341f0811c85f649449d4"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a8019f66ad9912b363f5c6bbb160aaad1"><td class="memItemLeft" align="right" valign="top">static <a class="el" href="../../dd/d9b/a04398.html">Quaternion</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d4/d61/a04406.html#a8019f66ad9912b363f5c6bbb160aaad1">Multiply</a> (vector data, <a class="el" href="../../dd/d9b/a04398.html">Quaternion</a> q)</td></tr>
<tr class="separator:a8019f66ad9912b363f5c6bbb160aaad1"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a4fdbad2ee2c2e11175f30549a96f6108"><td class="memItemLeft" align="right" valign="top">static vector&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d4/d61/a04406.html#a4fdbad2ee2c2e11175f30549a96f6108">CrossProduct</a> (vector a, vector b)</td></tr>
<tr class="separator:a4fdbad2ee2c2e11175f30549a96f6108"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aab9cd93a36a3b26e62d0993c418af1cd"><td class="memItemLeft" align="right" valign="top">static vector&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d4/d61/a04406.html#aab9cd93a36a3b26e62d0993c418af1cd">Cross</a> (vector data, vector other)</td></tr>
<tr class="separator:aab9cd93a36a3b26e62d0993c418af1cd"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><p ><a class="el" href="../../d7/d49/a00863.html">Vector.c</a></p>
<p >DayZ Expansion Mod www.dayzexpansion.com © 2022 DayZ Expansion Mod Team</p>
<p >This work is licensed under the Creative Commons Attribution-NonCommercial-NoDerivatives 4.0 International License. To view a copy of this license, visit <a href="http://creativecommons.org/licenses/by-nc-nd/4.0/">http://creativecommons.org/licenses/by-nc-nd/4.0/</a>. </p>

<p class="definition">Definition at line <a class="el" href="../../d7/d49/a00863_source.html#l00013">13</a> of file <a class="el" href="../../d7/d49/a00863_source.html">vector.c</a>.</p>
</div><h2 class="groupheader">Member Function Documentation</h2>
<a id="aab9cd93a36a3b26e62d0993c418af1cd" name="aab9cd93a36a3b26e62d0993c418af1cd"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aab9cd93a36a3b26e62d0993c418af1cd">&#9670;&#160;</a></span>Cross()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">static vector VectorHelper::Cross </td>
          <td>(</td>
          <td class="paramtype">vector&#160;</td>
          <td class="paramname"><em>data</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">vector&#160;</td>
          <td class="paramname"><em>other</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">static</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d7/d49/a00863_source.html#l00114">114</a> of file <a class="el" href="../../d7/d49/a00863_source.html">vector.c</a>.</p>

</div>
</div>
<a id="a4fdbad2ee2c2e11175f30549a96f6108" name="a4fdbad2ee2c2e11175f30549a96f6108"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a4fdbad2ee2c2e11175f30549a96f6108">&#9670;&#160;</a></span>CrossProduct()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">static vector VectorHelper::CrossProduct </td>
          <td>(</td>
          <td class="paramtype">vector&#160;</td>
          <td class="paramname"><em>a</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">vector&#160;</td>
          <td class="paramname"><em>b</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">static</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d7/d49/a00863_source.html#l00096">96</a> of file <a class="el" href="../../d7/d49/a00863_source.html">vector.c</a>.</p>

</div>
</div>
<a id="a7048cb3c3e09c7a681d7a374d7041e7a" name="a7048cb3c3e09c7a681d7a374d7041e7a"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a7048cb3c3e09c7a681d7a374d7041e7a">&#9670;&#160;</a></span>InvMultiply() <span class="overload">[1/2]</span></h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">static vector VectorHelper::InvMultiply </td>
          <td>(</td>
          <td class="paramtype">vector&#160;</td>
          <td class="paramname"><em>data</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="../../d5/d22/a04394.html">Matrix3</a>&#160;</td>
          <td class="paramname"><em>other</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">static</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d7/d49/a00863_source.html#l00074">74</a> of file <a class="el" href="../../d7/d49/a00863_source.html">vector.c</a>.</p>

</div>
</div>
<a id="a01a46691dd29341f0811c85f649449d4" name="a01a46691dd29341f0811c85f649449d4"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a01a46691dd29341f0811c85f649449d4">&#9670;&#160;</a></span>InvMultiply() <span class="overload">[2/2]</span></h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">static vector VectorHelper::InvMultiply </td>
          <td>(</td>
          <td class="paramtype">vector&#160;</td>
          <td class="paramname"><em>data</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="../../d1/db3/a04402.html">Transform</a>&#160;</td>
          <td class="paramname"><em>other</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">static</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d7/d49/a00863_source.html#l00079">79</a> of file <a class="el" href="../../d7/d49/a00863_source.html">vector.c</a>.</p>

</div>
</div>
<a id="a829b54bf426d152255d829ce1bc26174" name="a829b54bf426d152255d829ce1bc26174"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a829b54bf426d152255d829ce1bc26174">&#9670;&#160;</a></span>Multiply() <span class="overload">[1/5]</span></h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">static vector VectorHelper::Multiply </td>
          <td>(</td>
          <td class="paramtype">vector&#160;</td>
          <td class="paramname"><em>data</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">float&#160;</td>
          <td class="paramname"><em>other</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">static</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d7/d49/a00863_source.html#l00053">53</a> of file <a class="el" href="../../d7/d49/a00863_source.html">vector.c</a>.</p>

</div>
</div>
<a id="a76ae4f4d027478149b2c5e1aa317d39f" name="a76ae4f4d027478149b2c5e1aa317d39f"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a76ae4f4d027478149b2c5e1aa317d39f">&#9670;&#160;</a></span>Multiply() <span class="overload">[2/5]</span></h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">static vector VectorHelper::Multiply </td>
          <td>(</td>
          <td class="paramtype">vector&#160;</td>
          <td class="paramname"><em>data</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="../../d5/d22/a04394.html">Matrix3</a>&#160;</td>
          <td class="paramname"><em>other</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">static</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d7/d49/a00863_source.html#l00064">64</a> of file <a class="el" href="../../d7/d49/a00863_source.html">vector.c</a>.</p>

</div>
</div>
<a id="a8019f66ad9912b363f5c6bbb160aaad1" name="a8019f66ad9912b363f5c6bbb160aaad1"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a8019f66ad9912b363f5c6bbb160aaad1">&#9670;&#160;</a></span>Multiply() <span class="overload">[3/5]</span></h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">static <a class="el" href="../../dd/d9b/a04398.html">Quaternion</a> VectorHelper::Multiply </td>
          <td>(</td>
          <td class="paramtype">vector&#160;</td>
          <td class="paramname"><em>data</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="../../dd/d9b/a04398.html">Quaternion</a>&#160;</td>
          <td class="paramname"><em>q</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">static</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d7/d49/a00863_source.html#l00084">84</a> of file <a class="el" href="../../d7/d49/a00863_source.html">vector.c</a>.</p>

</div>
</div>
<a id="afac8dfb5cf1292fa05145ba3325b9a2b" name="afac8dfb5cf1292fa05145ba3325b9a2b"></a>
<h2 class="memtitle"><span class="permalink"><a href="#afac8dfb5cf1292fa05145ba3325b9a2b">&#9670;&#160;</a></span>Multiply() <span class="overload">[4/5]</span></h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">static vector VectorHelper::Multiply </td>
          <td>(</td>
          <td class="paramtype">vector&#160;</td>
          <td class="paramname"><em>data</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="../../d1/db3/a04402.html">Transform</a>&#160;</td>
          <td class="paramname"><em>other</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">static</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d7/d49/a00863_source.html#l00069">69</a> of file <a class="el" href="../../d7/d49/a00863_source.html">vector.c</a>.</p>

</div>
</div>
<a id="aa2bc2ffbd1f8a7c25b6d589061d9089d" name="aa2bc2ffbd1f8a7c25b6d589061d9089d"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aa2bc2ffbd1f8a7c25b6d589061d9089d">&#9670;&#160;</a></span>Multiply() <span class="overload">[5/5]</span></h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">static vector VectorHelper::Multiply </td>
          <td>(</td>
          <td class="paramtype">vector&#160;</td>
          <td class="paramname"><em>data</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">vector&#160;</td>
          <td class="paramname"><em>other</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">static</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d7/d49/a00863_source.html#l00042">42</a> of file <a class="el" href="../../d7/d49/a00863_source.html">vector.c</a>.</p>

</div>
</div>
<a id="ac536755b3c001ab8d193fb3f8b52e710" name="ac536755b3c001ab8d193fb3f8b52e710"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ac536755b3c001ab8d193fb3f8b52e710">&#9670;&#160;</a></span>Rotate()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">static vector VectorHelper::Rotate </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d5/d22/a04394.html">Matrix3</a>&#160;</td>
          <td class="paramname"><em>a</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">vector&#160;</td>
          <td class="paramname"><em>o</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">static</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d7/d49/a00863_source.html#l00015">15</a> of file <a class="el" href="../../d7/d49/a00863_source.html">vector.c</a>.</p>

</div>
</div>
<hr/>The documentation for this class was generated from the following file:<ul>
<li>DayzExpansion/Core/Scripts/3_game/dayzexpansion_core/math/<a class="el" href="../../d7/d49/a00863_source.html">vector.c</a></li>
</ul>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="../../d4/d61/a04406.html">VectorHelper</a></li>
    <li class="footer">Generated by <a href="https://www.doxygen.org/index.html"><img class="footer" src="../../doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.5 </li>
  </ul>
</div>
</body>
</html>
